# Asterisk Project : Asterisk 13 ManagerAction_DeviceStateList

Created by wikibot on Aug 08, 2014

# DeviceStateList

### Synopsis

List the current known device states.

### Description

This will list out all known device states in a sequence of DeviceStateChange events. When finished, a DeviceStateListComplete event will be emitted.

### Syntax

    Action: DeviceStateList
    ActionID: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.

### See Also

- Asterisk 13 ManagerEvent_DeviceStateChange
- Asterisk 13 Function_DEVICE_STATE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538